## clojure-cli 1.12.0.1488

=== debian/changelog ===
clojure-cli (1.12.0.1488-1) experimental; urgency=medium

  * Package 1.12.0.1488. (Closes: 891141)

 -- Rob Browning <rlb@defaultvalue.org>  Wed, 19 Feb 2025 11:39:26 -0600
