=== debian/control ===
Source: clojure-cli
Maintainer: Debian Clojure Maintainers <pkg-clojure-maintainers@lists.alioth.debian.org>
Uploaders: Rob Browning <rlb@defaultvalue.org>
Section: java
Priority: optional
# Keep libclojure-java version in sync with the upstream ./deps.edn version
Build-Depends:
 debhelper-compat (= 13),
 default-jdk-headless,
 libclojure-java (>= 1.12.0),
 libcognitect-test-runner-clojure,
 libjava-classpath-clojure,
 libslf4j-java,
 libtools-build-clojure,
 libtools-deps-clojure (>= 0.21.1460-4),
 libtools-reader-clojure,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/clojure-team/clojure-cli
Vcs-Git: https://salsa.debian.org/clojure-team/clojure-cli.git
Homepage: https://github.com/clojure/brew-install
Rules-Requires-Root: no

Package: clojure-cli
Architecture: all
# See README.Debian
Conflicts: clojure
Depends:
 ${misc:Depends},
 default-jre-headless,
 libclojure-java,
 libtools-build-clojure
Recommends:
 default-jdk-headless,
 rlwrap
Description: Clojure tools to build and run programs
 Provides the clojure and clj commands which provide an interactive
 REPL (Read-Eval-Print Loop), run Clojure programs, and evaluate
 Clojure expressions.
 .
 This package conflicts with the prior Debian-specific clojure package
 because its /usr/bin/clojure automatically downloads dependencies
 from Clojars and MVN Repository in the absence of a ./deps.edn
 specifying otherwise, and so this /usr/bin/clojure cannot safely
 displace the other one via /usr/bin/clojure alternatives.  See
 /usr/share/doc/clojure-cli/README.Debian for additional information.
