=== debian/rules ===
#!/usr/bin/make -f

# Upgrades:
#
#   - The clojure (libclojure-java) should be kept in sync with the
#     clojure-cli version, which transitively includes the
#     spec-alpha-clojure and libcore-specs-alpha-clojure versions.
#
#  - Check src/main/resources/clojure/install/linux-install.sh for
#    relevant changes (say with respect to clojure-cli.install).

SHELL := /bin/bash

include /usr/share/dpkg/pkg-info.mk

export DEB_VERSION_UPSTREAM  # For at least clojure-cli.install

# Enable a debian-specific alteration to tools-deps-clojure
# (tools.deps) that allows it to follow maven <relocation>s.
#
# See also:
#   https://maven.apache.org/guides/mini/guide-relocation.html
#   https://ask.clojure.org/index.php/12578/wondered-tools-might-missing-plexus-dependency-xpp3dom-import
#
export DEB_CLJ_TOOLS_DEPS_FOLLOW_MVN_RELOCATIONS := true

%:
	dh $@

override_dh_auto_build:
	debian/bootstrap release
	mkdir -p debian/prep
	sed -e 's@BINDIR@/usr/bin@g' \
	  < target/clojure-tools/clj > debian/prep/clj
	sed -e 's@PREFIX@/usr/share/clojure@g' \
	  < target/clojure-tools/clojure > debian/prep/clojure

override_dh_auto_test:
	debian/run-build-tests
	dh_auto_test

override_dh_auto_clean:
	rm -rf debian/local-repo/ debian/prep/ target/
