=== debian/tests/control ===
Tests: install
Depends: @, rlwrap
Restrictions: allow-stderr
