=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
https://github.com/clojure/brew-install refs/tags/(?:v)([\d\.]+)
